//
//  $Id: FormObject.cc,v 1.1.1.1 2000/06/02 22:22:59 sergey Exp $
//

#include <Pilot.h>
#include "FormObject.h"
#include "Form.h"


namespace UI
{
    FormObject::FormObject(Form& parent, Word objectID):
        _parent(&parent),
        _objectID(objectID)
    {}

    // operations

    void FormObject::setFocus()
    {
        FrmSetFocus(_parent->formPtr(), FrmGetObjectIndex(_parent->formPtr(), objectID()));
    }

    bool FormObject::hasFocus() const
    {
        return FrmGetFocus(_parent->formPtr()) == FrmGetObjectIndex(_parent->formPtr(), objectID());
    }
}
// namespace UI
